Bug 1813565 - Octavia Load balancer with Availability Zones for Edge site scheduling
Summary: Octavia Load balancer with Availability Zones for Edge site scheduling
Keywords:
Status: ON_DEV
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 17.0 (Wallaby)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 17.0
Assignee: OSP Team
QA Contact: Bruna Bonguardo
URL:
Whiteboard:
Depends On:
Blocks: 1813585
TreeView+ depends on / blocked
 
Reported: 2020-03-14 13:20 UTC by Carlos Goncalves
Modified: 2021-10-11 10:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 693762 0 None MERGED Support creating an LB in a specified AZ 2021-02-17 12:08:47 UTC
OpenStack gerrit 693765 0 None MERGED Availability Zone admin API 2021-02-17 12:08:47 UTC
OpenStack gerrit 694711 0 None MERGED Add support for availability zone [profiles] 2021-02-17 12:08:47 UTC
OpenStack gerrit 695291 0 None MERGED Test the Availability Zone [Profile] admin API 2021-02-17 12:08:48 UTC
OpenStack gerrit 695349 0 None NEW Add new scenario test to create LB in specific AZ 2021-02-17 12:08:48 UTC

Description Carlos Goncalves 2020-03-14 13:20:07 UTC
Today it is not possible for a user to specify the availability zone where to have the load balancer running. Allowing users to specify the AZ would allow them to place load balancers strategically closer (edge) to their clients and/or servers reducing latency and increasing throughput.

https://review.opendev.org/#/q/topic:octavia-availability-zones


Note You need to log in before you can comment on or make changes to this bug.